Skip to main content
POST
/
graphql#ListCarrierServices
List carrier services
curl --request POST \
  --url 'https://clarus-api.com/graphql#ListCarrierServices' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "query": "query($filter: CarrierServiceFilterType) { carrier_services { all(filter: $filter) { edges { node { id code name active is_default carrier { id code } } } } } }"
}
'
{
  "data": {
    "carrier_services": {
      "all": {
        "edges": [
          {
            "node": {
              "id": "812",
              "code": "RM1CLS",
              "name": "Royal Mail 1st Class",
              "active": true,
              "is_default": true,
              "carrier": {
                "id": "57",
                "code": "ROYALMAIL"
              }
            }
          }
        ]
      }
    }
  }
}

Query Structure

query($filter: CarrierServiceFilterType) {
  carrier_services {
    all(filter: $filter) {
      edges {
        node {
          id
          code
          name
          active
          is_default
          carrier {
            id
            code
          }
        }
      }
    }
  }
}

Filter Argument

All filters are passed inside the filter argument. Each filter field accepts an input object with operators (e.g. eq, ilike, from, to, between):
{
  "filter": {
    "code": {
      "ilike": "value"
    }
  }
}

Available Filters

FilterInput TypeOperatorsDescription
codeStringInputTypeeq, ilike, like, in, betweenService code
nameStringInputTypeeq, ilike, like, in, betweenService name
activeBooleanInputTypeeqActive flag
carrier_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledParent carrier ID
carrier_codeStringInputTypeeq, ilike, like, in, betweenParent carrier code
external_preset_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledExternal preset ID
More fields and filters available via GraphQL introspection.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
query
string<textarea>
required

GraphQL query string

Example:

"query($filter: CarrierServiceFilterType) { carrier_services { all(filter: $filter) { edges { node { id code name active is_default carrier { id code } } } } } }"

variables
object

Query variables including the filter object

Example:
{ "filter": { "code": { "ilike": "RM1" } } }

Response

Successful GraphQL response

data
object
errors
object[]